> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow status

> Get a workflow's status by workflow ID. Use this endpoint to check whether a workflow is running or not, or get details about the workflow's last run.




## OpenAPI

````yaml /api-spec-v2.yaml get /v2/workflows/{id}/status
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/workflows/{id}/status:
    parameters:
      - $ref: '#/components/parameters/id'
    get:
      tags:
        - Workflows
      summary: Get workflow status
      description: >
        Get a workflow's status by workflow ID. Use this endpoint to check
        whether a workflow is running or not, or get details about the
        workflow's last run.
      operationId: getWorkflowStatus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowStatus'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID
      required: true
      schema:
        $ref: '#/components/schemas/id'
      example:
        - value: 568971
  schemas:
    WorkflowStatus:
      type: object
      required:
        - id
        - lifecycle
        - disposition
      properties:
        id:
          type: integer
          format: int
          readOnly: true
          description: The ID of the workflow
          x-go-type-skip-optional-pointer: true
          x-order: 1
        lifecycle:
          type: string
          description: The lifecycle status of the workflow
          enum:
            - PENDING
            - RUNNING
            - NOT_RUNNING
          x-go-type-skip-optional-pointer: true
          x-order: 2
        disposition:
          type: string
          description: The disposition of the workflow
          enum:
            - SUCCEEDED
            - FAILED
            - NONE
          x-go-type-skip-optional-pointer: true
          x-order: 3
        resources:
          type: array
          items:
            $ref: '#/components/schemas/ResolverStatus'
          x-order: 4
          x-go-type-skip-optional-pointer: true
          x-go-type: '[]*native.ResourceSummary'
        errors:
          type: array
          items:
            type: string
          description: The errors that occurred during the workflow's execution
          x-order: 5
        completedAt:
          type: string
          format: date-time
          description: >
            The timestamp marking when the execution of the workflow was last
            completed. It will be set to `null` either if the workflow is
            actively running or has never been initiated.
          x-order: 6
    id:
      type: integer
      format: int
      examples:
        - 568971
    ResolverStatus:
      type: object
      required:
        - name
        - extracted
        - analyzed
        - loaded
        - errors
      properties:
        name:
          type: string
          description: The name of the resource
          x-order: 1
        extracted:
          type: integer
          description: The number of records extracted from this resource
          x-order: 2
        analyzed:
          type: integer
          description: The number of records analyzed by this resource
          x-order: 3
        loaded:
          type: integer
          description: The number of records loaded by this resource
          x-order: 4
        errors:
          type: array
          items:
            type: string
          description: The errors that occurred during the handling of this resource
          x-order: 5
      x-go-type: native.ResourceSummary
  responses:
    UnauthorizedError:
      description: Unauthorized - No valid API key provided.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Unauthorized
    ForbiddenError:
      description: Forbidden - You don't have enough permissions to access this resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Your current plan does not support this feature
    NotFoundError:
      description: Not Found - The requested resource does not exist.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            examples:
              - message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````